id: wordpress-mailchimp-for-wp

info:
  name: MC4WP' Mailchimp for WordPress Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/mailchimp-for-wp/
  metadata:
    plugin_namespace: mailchimp-for-wp
    wpscan: https://wpscan.com/plugin/mailchimp-for-wp
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/mailchimp-for-wp/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/mailchimp-for-wp.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a00473045022100bb61cb616b46ca1c8692cbb5e4f4969da5386290028e9a52e362fda1fef4796b0220493f83e0f841247d722a3ed3261bcd26380eddf421aebb07e50802f493d519ae:922c64590222798bb761d5b6d8e72950